 public class silindirX extends daireX
 {protected double yukseklik;
 public silindirX( double h, double r, int a, int b)
 {super(r, a, b );yukseklikoku( h);}
 public void yukseklikoku(double h )
 {if(h>=0) yukseklik=h;
  else yukseklik=0; } 
 public double yukseklikoku(){return yukseklik;}
 public double alan()
 { return 2* super.alan()+2*Math.PI*yaricap*yukseklik;} 
 public double hacim(){return super.alan()*yukseklik;}
 public String toString()
 {return super.toString()+";yukseklik="+yukseklik;}
 public String isim(){return "Silindir";}
}

